/* This file is part of tallyman
Copyright (C) 2018 Sergey Poznyakoff
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
*/
#include "stevedore.h"
#include <time.h>
#include <pthread.h>
#include "tallyman_mib.h"
#include <signal.h>

void
agentx_init(void)
{
	if (grecs_log_to_stderr)
		snmp_enable_calllog();
	else
		snmp_enable_stderrlog();
	netsnmp_ds_set_boolean(NETSNMP_DS_APPLICATION_ID,
			       NETSNMP_DS_AGENT_ROLE, 1);
	SOCK_STARTUP;
	init_agent("stevedore");
	init_tallyman_mib();
	init_snmp("stevedore");
}

time_t start_time;

u_long
servdb_servicesUpTime(void)
{
	return time(NULL) - start_time;
}

void *
agentx_thread(void *p)
{
	start_time = time(NULL);
	while (1) {
		agent_check_and_process(1);
	}
}
